from django.conf.urls import url, include
from . import views
from rest_framework import routers
from rest_framework.authtoken import views as rest_framework_views
#from rest_framework.authtoken import views as rest_framework_views 
"""
ITERACION 1
urlpatterns = [
    url(r'^apps/$',views.AppUserList.as_view()),
    url(r'^users/$', views.BusinessUserList.as_view()),
]
"""
router = routers.DefaultRouter()
router.register( r'apps', 
                 views.AppUserViewSet, 
                 base_name = 'app'
               )
router.register( r'users', 
                 views.BusinessUserViewSet, 
                 base_name = 'users'
               )
router.register( r'permissions', 
                 views.PermissionViewSet
               )
router.register( r'app-admin', 
                 views.AppUserAdminViewSet, 
                 base_name = 'app-admin'
               )
router.register( r'user-admin',
                 views.BusinessUserAdminViewSet,
                 base_name = 'user-admin'
)

urlpatterns = [
    url(r'^', include(router.urls)),
#    url(r'^apps/', views.AppUserViewSet.as_view()),
    url(r'^api_token_auth/$', rest_framework_views.obtain_auth_token),
]
